<?php
/**
 * Cobalt by MintJoomla
 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mintjoomla.com/
 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
 * @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */
defined('_JEXEC') or die();
?>

<style>
div.btn-group[data-toggle=buttons-radio] input[type=radio] {
  display:    block;
  position:   absolute;
  top:        0;
  left:       0;
  width:      100%;
  height:     100%;
  opacity:    0;
}
</style>

<div class="btn-group" data-toggle="buttons-radio">
	<button id="fbool-y<?php echo $this->id ?>" type="button" class="btn<?php echo $this->value == 'true' ? ' active btn-primary' : NULL ?>">
		<?php echo $this->labelvalue['true']?>
		<input type="radio" name="filters[<?php echo $this->key;?>]" value="true" />
	</button>
	<button id="fbool-n<?php echo $this->id ?>" type="button" class="btn<?php echo $this->value == 'false' ? ' active btn-primary' : NULL ?>">
		
		<?php echo $this->labelvalue['false'];?>
		<input type="radio" name="filters[<?php echo $this->key;?>]" value="false" />
	</button>
</div>
<script>
	(function($){
		var y = $('#fbool-y<?php echo $this->id ?>');
		var n = $('#fbool-n<?php echo $this->id ?>');
		y.on('click', function(){
			y.addClass('btn-primary');
			n.removeClass('btn-primary');
		});
		n.on('click', function(){
			n.addClass('btn-primary');
			y.removeClass('btn-primary');
		});
	}(jQuery))

</script>