<?php
/**
 * Cobalt by MintJoomla
 * a component for Joomla! 1.7 - 2.5 CMS (http://www.joomla.org)
 * Author Website: http://www.mintjoomla.com/
 * @copyright Copyright (C) 2012 MintJoomla (http://www.mintjoomla.com). All rights reserved.
 * @license   GNU/GPL http://www.gnu.org/copyleft/gpl.html
 */

defined('_JEXEC') or die();
?>


<?php if(in_array($this->type->params->get('properties.item_can_view_tag', 1), $this->user->getAuthorisedViewLevels())) :

	$app         = JFactory::getApplication();
	$attach_only = TRUE;
	if(MECAccess::allowAccessAuthor($this->type, 'properties.item_can_add_tag', $this->item->user_id))
	{
		$attach_only = FALSE;
	}
	?>


	<?php
	if(
		MECAccess::allowAccessAuthor($this->type, 'properties.item_can_add_tag', $this->item->user_id) ||
		MECAccess::allowAccessAuthor($this->type, 'properties.item_can_attach_tag', $this->item->user_id)
	):
	?>
		<div id="add-tags-block<?php echo $this->item->id; ?>">
			<?php echo JHtml::_('tags.add_button', $this->item->id, $this->type->params->get('properties.item_tags_max', 25), $attach_only); ?>
		</div>
	<?php else: ?>

		<div id="tag-box">
			<ul id="tag-list-<?php echo $this->item->id ?>" class="tag_list">
				<li id="tag-first"><?php echo HTMLFormatHelper::icon('price-tag.png'); ?> <?php echo JText::_('CTAGS') ?>
					:
				</li>
				<?php echo JHtml::_('tags.fetch',
					$this->item->tags,
					$this->item->id,
					$this->section->id,
					$app->input->getInt('cat_id'),
					$this->type->params->get('properties.item_tag_htmltags', 'h1, h2, h3, h4, h5, h6, strong, em, b, i, big'),
					$this->type->params->get('properties.item_tag_relevance', 0),
					$this->type->params->get('properties.item_tag_num', 0),
					$this->type->params->get('properties.item_tags_max', 25));?>
			</ul>
			<div class="clearfix"></div>
		</div>
		<div class="clearfix"></div>
		<br>
	<?php  endif; ?>
<?php endif; ?>

